Bug 26569 - Use gender-neutral pronouns in systempreference explanation field in DB
Summary: Use gender-neutral pronouns in systempreference explanation field in DB
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-29 15:33 UTC by Nick Clemens
Modified: 2020-11-17 11:36 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06, 19.11.12, 19.05.17


Attachments
Bug 26569: Use gender neutral pronouns in system prefernece explanations (9.57 KB, patch)
2020-09-30 13:21 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26569: Use gender neutral pronouns in system prefernece explanations (9.64 KB, patch)
2020-10-06 10:38 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 26569: Use gender neutral pronouns in system prefernece explanations (9.73 KB, patch)
2020-10-15 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-09-29 15:33:16 UTC
See bug 18432 and bug 22716

We missed the db explanantions for system preferences:
MariaDB [koha_kohadev]> select variable,explanation from systempreferences where explanation like '% his %';
+-------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------------------------------------+
| variable                                        | explanation                                                                                                                                            |
+-------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------------------------------------+
| AcqViewBaskets                                  | Define which baskets a user is allowed to view: his own only, any within his branch or all                                                             |
| AllowPatronToSetCheckoutsVisibilityForGuarantor | If enabled, the patron can set checkouts to be visible to his or her guarantor                                                                         |
| AllowPatronToSetFinesVisibilityForGuarantor     | If enabled, the patron can set fines to be visible to his or her guarantor                                                                             |
| HighlightOwnItemsOnOPAC                         | If on, and a patron is logged into the OPAC, items from his or her home library will be emphasized and shown first in search results and item details. |
| LoadSearchHistoryToTheFirstLoggedUser           | If ON, the next user will automatically get the last searches in his history                                                                           |
| PatronSelfRegistrationVerifyByEmail             | If enabled, any patron attempting to register themselves via the OPAC will be required to verify themselves via email to activate his or her account.  |
+-------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------------------------------------+
Comment 1 Arthur Suzuki 2020-09-29 15:36:13 UTC
This is going to be super fun for French translators where french doesn't have gender-neutral pronouns!
Quite in favor of this improvement (and language evolution) though :)
Comment 2 Andrew Fuerste-Henry 2020-09-30 13:21:28 UTC
Created attachment 110989 [details] [review]
Bug 26569: Use gender neutral pronouns in system prefernece explanations

To test:
1 - perform query "select variable,explanation from systempreferences where explanation like '% his %';"
2 - find 6 sysprefs with gendered pronouns used in explanations
3 - apply patch, reset_all
4 - repeat query
5 - no more gendered pronouns!
Comment 3 PTFS Europe Sandboxes 2020-10-06 10:38:40 UTC
Created attachment 111280 [details] [review]
Bug 26569: Use gender neutral pronouns in system prefernece explanations

To test:
1 - perform query "select variable,explanation from systempreferences where explanation like '% his %';"
2 - find 6 sysprefs with gendered pronouns used in explanations
3 - apply patch, reset_all
4 - repeat query
5 - no more gendered pronouns!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Martin Renvoize 2020-10-09 08:02:17 UTC
Well.. this is a fun one.

I think we should just drop all the explanations in the DB myself.. they're not used anywhere in the UI (The .pref files are instead).

The only place where these can surface are for locally added preferences where people have customised their Koha's. We can leave the field there for those.
Comment 5 Martin Renvoize 2020-10-09 08:15:19 UTC
(In reply to Martin Renvoize from comment #4)
> Well.. this is a fun one.
> 
> I think we should just drop all the explanations in the DB myself.. they're
> not used anywhere in the UI (The .pref files are instead).
> 
> The only place where these can surface are for locally added preferences
> where people have customised their Koha's. We can leave the field there for
> those.

The DB update for such a drop will be a little interesting though.. either we need to read the .pref files and only null the field for those prefs not matching prefnames present in the .pref files.. or we do a one time list of all prefs that should be present and drop the explanation for that list.
Comment 6 Katrin Fischer 2020-10-15 21:19:39 UTC
Created attachment 111803 [details] [review]
Bug 26569: Use gender neutral pronouns in system prefernece explanations

To test:
1 - perform query "select variable,explanation from systempreferences where explanation like '% his %';"
2 - find 6 sysprefs with gendered pronouns used in explanations
3 - apply patch, reset_all
4 - repeat query
5 - no more gendered pronouns!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2020-10-15 21:19:55 UTC
Every little bit helps :)
Comment 8 Andrew Fuerste-Henry 2020-10-15 21:21:42 UTC
Thanks Katrin! Martin, I don't disagree about just dropping unused text ultimately, it's just a bigger job for another bug.
Comment 9 Jonathan Druart 2020-10-25 23:07:04 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-11-13 18:46:39 UTC
backported to 20.05.x for 20.05.06
Comment 11 Aleisha Amohia 2020-11-17 04:33:00 UTC
backported to 19.11.x for 19.11.12
Comment 12 Victor Grousset/tuxayo 2020-11-17 11:35:53 UTC
Backported to 19.05.x branch for 19.05.17